/* AlGnomegebraic
 * Copyright (C) 1999 the Free Software Foundation
 * Authors : Matias Mutchinick          
 *         
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __AG_MATH_H__
#define __AG_MATH_H__


#include <glib.h>
#include <math.h>



gint
ag_math_overflow(gdouble  num);

gint
ag_math_underflow(gdouble  num);


gdouble
to_radians(gdouble number, gint mode);

gdouble 
from_radians_to(gdouble number, gint mode);

gdouble 
ag_cos(gdouble arg, gint mode, gint *error);

gdouble 
ag_sin(gdouble arg, gint mode, gint *error);

gdouble 
ag_tan(gdouble arg, gint mode, gint *error);

gdouble 
ag_cosh(gdouble arg, gint mode, gint *error);

gdouble 
ag_sinh(gdouble arg, gint mode, gint *error);

gdouble 
ag_tanh(gdouble arg, gint mode, gint *error);

gdouble 
ag_acos(gdouble arg, gint mode, gint *error);

gdouble
ag_asin(gdouble arg, gint mode, gint *error);

gdouble 
ag_atan(gdouble arg, gint mode, gint *error);

gdouble 
ag_ln(gdouble arg, gint mode, gint *error);

gdouble 
ag_log(gdouble arg, gint mode, gint *error);

gdouble 
ag_exp(gdouble arg, gint mode, gint *error);

gdouble 
ag_abs(gdouble arg, gint mode, gint *error);

gdouble 
ag_neg(gdouble arg, gint mode, gint *error);

gdouble 
ag_inv(gdouble arg, gint mode, gint *error);

gdouble 
ag_sq(gdouble arg, gint mode, gint *error);

gdouble 
ag_sqrt(gdouble arg, gint mode, gint *error);

gdouble
ag_fact(gdouble arg, gint mode, gint *error);

#endif /* __AG_MATH_H__ */	
