/* AlGnomegebraic
 * Copyright (C) 1999 the Free Software Foundation
 * Authors : Matias Mutchinick          
 *         
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <glib.h>
#include <string.h>
#include "errorstring.h"


AgError errState; 


void 
str_error(gchar *str)
{
	switch(errState.state) {
	case SYN_ERROR:
		strcpy(str,"syn error!");
		break;
	case UNCLOSED_PAREN:
		strcpy(str,"unclosed paren!");
		break;
	case UNDEFINED_RESULT:
		strcpy(str,"undefined result!");
		break;
	case INFINITE_RESULT:
		strcpy(str,"infinite result!");
		break;
	case AG_OVERFLOW:
		strcpy(str,"overflow!");
		break;
	case MISSING_ARGUMENT:
		strcpy(str,"missing argument!");
		break;
	case FACTORIAL_NOT_INT:
		strcpy(str,"factorial not an integer!");
		break;
	case FACTORIAL_NOT_POSITIVE:
		strcpy(str,"factorial not positive!");
		break;
	}
}

