/* AlGnomegebraic
 * Copyright (C) 1999 the Free Software Foundation
 * Authors : Matias Mutchinick          
 *         
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#ifndef __FORMATSTRING_H__
#define __FORMATSTRING_H__


/* str_result_of_expr 
 * This function copies to result_str the result of the expression
 * that *expr_str points at.
 * expr_str: pointer to a char string of a mathematical expression.
 * result_str: the string to copy the result to.
 * number_format_str: a string with the format to be used (Std, Fix, Eng, Sci).
 * number_formatSize_str: a string with the size of the format (01,02,03,...,11,12).
 * angle_messure_str: a string with the angle messure used (Deg,Rad,Grad).
 */
void 
str_result_of_expr(gchar     *exprStr, 
		   gchar     *resultStr,
		   gchar     *numberFormatStr, 
		   gchar     *numberFormatSizeStr,
		   gchar     *angleMessureStr);

/* str_fix_format 
 * This function converts a numeric double value to a string with Fix format 
 * numeric_result: double value
 * formatSize: number of digits after decimal point 
 * resultStr: the string that the result is copied to
 */
void 
str_fix_format(gdouble      numericResult,
	       gint         formatSize,  
	       gchar       *resultStr);

/* str_sci_format 
 * This function converts a numeric double value to a string with Sci format 
 * nuberic_result: double value
 * formatSize: number of digits after decimal point 
 * resultStr: the string that the result is copied to
 */
void 
str_sci_format(gdouble      numericResult,
	       gint         formatSize,
	       gchar       *resultStr);

/* str_eng_format 
 * This function converts a numeric double value to a string with Eng format 
 * numeric_result: double value
 * formatSize: number of digits after decimal point 
 * resultStr: the string that the result is copied to
 */
void str_eng_format(gdouble      numericResult,
		    gint         formatSize, 
		    gchar       *resultStr);


#endif /* __FORMATSTRING_H__ */

